git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: o.a.c.i.DefaultCamelBeanPostProcessor : No CamelContext defined yet so cannot inject into bean:


Hello,

can you open a new issue with a reproducer ? There may be more
condition that lead to such warning.

---
Luca Burgazzoli

On Sun, Oct 14, 2018 at 5:11 PM Zoran Regvart <zoran@xxxxxxxxxxx> wrote:
>
> Hello,
> the versions are listed in the issue[1], until we release if you need
> this fix the only way you can get it is if you use the snapshot
> versions.
>
> Mixing two different versions of Camel will probably lead to more issues.
>
> zoran
>
> On Fri, Oct 12, 2018 at 1:14 PM, Wang Yan <wyanbox@xxxxxxxxx> wrote:
> > Could you please suggest which release could fix this problem? i dont want
> > to use snapshot version.
>
> [1] https://issues.apache.org/jira/browse/CAMEL-12087
> --
> Zoran Regvart